2019-10-16 12:00 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001873FSSCPmultiplayerpublic2009-03-02 15:41
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001873: Standalone crash in recent builds. Picture related?
DescriptionThis ones happened a few times now and the last line in the log is always something like this:

Someone passed an extension to bm_load for file 'gti.pcx'

Not alway the same file name. This has only been happening for a couple of weeks and usually on the MediaVP standalone. Thinking it might be related to the recent picture file format bug fixes.
Additional Information3.6.10 r5052 but it was happen in r5034 as well.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010620

FUBAR-BDHR (developer)

Standalone was constantly crashing so I went back and tried r5032. Still getting crashes. Not sure they are even related to this bug but they happen shortly after the same line in the log file and at least there is an error code:

Int3(): From e:\storage\fso\fs2_open\code\ai\aigoals.cpp at line 2105

Which is:

            Int3(); // get ALLENDER
            status = SHIP_STATUS_UNKNOWN;

In the ai_mission_goal_achievable function at the undocking code. Strange because there doesn't seem to be any docking in the missions it crashed on. Support ships are always a possiblility.

~0010701

karajorma (administrator)

Ooops.

Fixored
+Notes

-Issue History
Date Modified Username Field Change
2009-01-22 14:21 FUBAR-BDHR New Issue
2009-01-22 14:21 FUBAR-BDHR File Added: 01-22-09.rar
2009-01-28 15:12 FUBAR-BDHR Note Added: 0010620
2009-01-28 15:12 FUBAR-BDHR File Added: 2105.log
2009-01-28 15:12 FUBAR-BDHR File Added: 2105_a.log
2009-03-02 15:41 karajorma Status new => resolved
2009-03-02 15:41 karajorma Fixed in Version => 3.6.10
2009-03-02 15:41 karajorma Resolution open => fixed
2009-03-02 15:41 karajorma Assigned To => karajorma
2009-03-02 15:41 karajorma Note Added: 0010701
+Issue History